enchant_dict_store_replacement
FriBiDi
Enchant Functions
PHP Manual

# enchant_dict_suggest

(PHP 5 >= 5.3.0, PECL enchant >= 0.1.0 )

enchant_dict_suggest — Will return a list of values if any of those pre-conditions are not met

### Description

array enchant_dict_suggest ( resource `$dict` , string `$word` )

### Parameters

`dict`

  Dictionary resource

`word`

  Word to use for the suggestions.

### Return Values

Will returns an array of suggestions if the word is bad spelled.

### Examples

Example #1 A enchant_dict_suggest() example

`<?php
$tag = 'en_US';
$r = enchant_broker_init();
if (enchant_broker_dict_exists($r,$tag)) {
$d = enchant_broker_request_dict($r, $tag);
$wordcorrect = enchant_dict_check($d, "soong");
if (!$wordcorrect) {
$suggs = enchant_dict_suggest($d, "soong");
echo "Suggestions for 'soong':";
print_r($suggs);
}
enchant_broker_free_dict($d);
}
enchant_broker_free($r);
?>`

### See Also

- enchant_dict_check() - Check whether a word is correctly spelled or not
- enchant_dict_quick_check() - Check the word is correctly spelled and provide suggestions

enchant_dict_store_replacement
FriBiDi
Enchant Functions
PHP Manual